import { filterqx } from "@/utils/auth.js";
import { getItem } from "@/utils/storage"
/** 是否显示上报按钮 【考题库，试卷库，课件库】在使用
 * @param {Object} row 表格行数据
 * @param {String} form 来自
 * @returns {Boolean} 是否显示上报按钮
 */
export function isShowReportButton(row, from) {
  return false
  // if (dialogForm.value.pubpriv=='01') return false // 私有不能上报
  /** @type {String} 状态  00 未上报，01 审核中，02  市公司审核完成，03  省审核中  04省公司审核完成 */
  const status = from === 'kjk' ? row.state : row.status;//// 课件库用 state 判断的
  const level = row.level // 级别 10 省 20 市 30 县
  // if (row.state != '02') return false
  if (filterqx('isaqbm') != '1') return false
  // 省
  if (filterqx('isSgs') == '1') {
    return false
    // 市
  } else if (filterqx('isgs') == '1') {
    return ['00', '02'].includes(status)
    // 县
  } else {
    return status == '00' && level >= 30
  }
}

/** 获取level 仅10 20 30 */
export function getUserLevel() {
  let dept = getItem("deptId") || {}
  let orgLevel = dept.orgLevel ? dept.orgLevel[0] : ''
  if (orgLevel == 1) {
    return '10'
  } else if (orgLevel == 2) {
    return '20'
  } else if (orgLevel == 3) {
    return '30'
  } else if (orgLevel == 4) {
    return '30'
  }
}
